Skip to main content
Alerting & Response/Alert Rules

ListAlertRuleScopeFields

List allowed alert scope fields for the selected product/resource/metric context

GET/api/v1/alerting/rules/scope-fields

Operation ID

ListAlertRuleScopeFields

Since

1.2.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • productType
    String

    Product type used to select scope metadata

  • resourceType
    String

    Resource type used to narrow available scope fields

  • metricName
    String

    Metric name used to narrow available scope fields

  • platformUuid
    String

    Platform UUID used for platform-specific scope metadata

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • items
    List

    List of available scope fields

    Example: (nested array)

    • key
      String

      Machine-readable scope field key

      Example: zone

    • displayName
      String

      Human-readable scope field name

      Example: Zone

    • source
      String

      Metadata source for this scope field

      Example: platform

    • valueType
      String

      Value type used by the filter expression

      Example: label_text

    • operators
      List

      Supported filter operators for this field

      Example: item1,item2

    • valueMode
      String

      How clients should obtain values for this field

      Example: enum

    • requiredContext
      List

      Context keys required before querying values

      Example: item1,item2

    • description
      String

      Business description of this scope field

      Example: Filter alert rules by resource zone

  • total
    Integer

    Total number of available scope fields

    Example: 8

  • limit
    Integer

    Maximum items returned in this response

    Example: 8

  • offset
    Integer

    Offset from start of result set

    Example: 20